#ifndef TESTCOMMAND_H
#define TESTCOMMAND_H
#include <QObject>
#include <QString>
#include <QDebug>
#include <QtCore/qcommandlineoption.h>
#include <QtCore/qcommandlineparser.h>

#include "ukuiinputgatherclient.h"
#include "inputgatherclient.h"
class testCommand
{
public:
public:
    testCommand();
    ~testCommand();

    void helpTool();
    void connectServerTool();
    void testCommandHelpStr();
    void testCommandConnectServer();
    void testCommanDebugEvents();
    void getEvent2(Event *event){
        switch (event->type) {
        case LIBINPUT_EVENT_GESTURE_SWIPE_BEGIN:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_SWIPE_BEGIN"<<" "<<event->event.swipeEventData.fingerCount<<" "<<event->event.swipeEventData.deltaX
                   <<"|"<<event->event.swipeEventData.deltaY;
            break;
        }
        case LIBINPUT_EVENT_GESTURE_SWIPE_UPDATE:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_SWIPE_UPDATE"<<" "<<event->event.swipeEventData.fingerCount<<" "<<event->event.swipeEventData.deltaX
                   <<"|"<<event->event.swipeEventData.deltaY;
            break;
        }
        case LIBINPUT_EVENT_GESTURE_SWIPE_END:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_SWIPE_END"<<" "<<event->event.swipeEventData.fingerCount<<" "<<event->event.swipeEventData.deltaX
                   <<"|"<<event->event.swipeEventData.deltaY <<"Cancel:"<<event->event.swipeEventData.cancelled;
            break;
        }
        case LIBINPUT_EVENT_GESTURE_PINCH_BEGIN:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_PINCH_BEGIN"<<" "<<event->event.pinchEventData.fingerCount<<" "<<event->event.pinchEventData.deltaX
                   <<"|"<<event->event.pinchEventData.deltaY;
            break;
        }
        case LIBINPUT_EVENT_GESTURE_PINCH_UPDATE:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_PINCH_UPDATE"<<" "<<event->event.pinchEventData.fingerCount<<" "<<event->event.pinchEventData.deltaX
                   <<"|"<<event->event.pinchEventData.deltaY;
            break;
        }
        case LIBINPUT_EVENT_GESTURE_PINCH_END:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_PINCH_END"<<" "<<event->event.pinchEventData.fingerCount<<" "<<event->event.pinchEventData.deltaX
                   <<"|"<<event->event.pinchEventData.deltaY<<"Cancel:"<<event->event.pinchEventData.cancelled;
            break;
        }
        case LIBINPUT_EVENT_GESTURE_TAP_BEGIN:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_TAP_BEGIN"<<" "<<event->event.tapEventData .fingerCount<<" "<<event->event.tapEventData.deltaX
                   <<"|"<<event->event.tapEventData.deltaY;
            break;
        }
        case LIBINPUT_EVENT_GESTURE_TAP_UPDATE:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_TAP_UPDATE"<<" "<<event->event.tapEventData.fingerCount<<" "<<event->event.tapEventData.deltaX
                   <<"|"<<event->event.tapEventData.deltaY;
            break;
        }
        case LIBINPUT_EVENT_GESTURE_TAP_END:{
            qDebug()<<"LIBINPUT_EVENT_GESTURE_TAP_END"<<" "<<event->event.tapEventData.fingerCount<<" "<<event->event.tapEventData.deltaX
                   <<"|"<<event->event.tapEventData.deltaY<<"Cancel:"<<event->event.tapEventData.cancelled;;
            break;
        }
        default:
            break;
        }
    }

};


#endif // TESTCOMMAND_H
